> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parsimmon.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Pipeline



## OpenAPI

````yaml /openapi.json patch /v1/pipelines/{pipeline_id}
openapi: 3.1.0
info:
  description: Application-layer API for the Parsimmon document parsing service.
  title: Parsimmon Platform API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/pipelines/{pipeline_id}:
    patch:
      tags:
        - public
      summary: Update Pipeline
      operationId: update_pipeline_v1_pipelines__pipeline_id__patch
      parameters:
        - in: path
          name: pipeline_id
          required: true
          schema:
            title: Pipeline Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PipelinePatchRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    PipelinePatchRequest:
      properties:
        config:
          anyOf:
            - type: object
            - type: 'null'
          title: Config
        name:
          anyOf:
            - maxLength: 255
              minLength: 1
              type: string
            - type: 'null'
          title: Name
        schema:
          anyOf:
            - items:
                type: object
              type: array
            - type: 'null'
          title: Schema
        status:
          anyOf:
            - $ref: '#/components/schemas/PipelineStatus'
            - type: 'null'
      title: PipelinePatchRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    PipelineStatus:
      enum:
        - live
        - preview
        - locked
      title: PipelineStatus
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````